package body MSHTML.IHTMLCurrentStyle2_Object is

   function Get_layoutFlow
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_layoutFlow);
   end Get_layoutFlow;

   function Get_wordWrap
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_wordWrap);
   end Get_wordWrap;

   function Get_textUnderlinePosition
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_textUnderlinePosition);
   end Get_textUnderlinePosition;

   function Get_hasLayout
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_hasLayout);
   end Get_hasLayout;

   function Get_scrollbarBaseColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_scrollbarBaseColor);
   end Get_scrollbarBaseColor;

   function Get_scrollbarFaceColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_scrollbarFaceColor);
   end Get_scrollbarFaceColor;

   function Get_scrollbar3dLightColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_scrollbar3dLightColor);
   end Get_scrollbar3dLightColor;

   function Get_scrollbarShadowColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_scrollbarShadowColor);
   end Get_scrollbarShadowColor;

   function Get_scrollbarHighlightColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_scrollbarHighlightColor);
   end Get_scrollbarHighlightColor;

   function Get_scrollbarDarkShadowColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_scrollbarDarkShadowColor);
   end Get_scrollbarDarkShadowColor;

   function Get_scrollbarArrowColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_scrollbarArrowColor);
   end Get_scrollbarArrowColor;

   function Get_scrollbarTrackColor
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_scrollbarTrackColor);
   end Get_scrollbarTrackColor;

   function Get_writingMode
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_writingMode);
   end Get_writingMode;

   function Get_zoom
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_zoom);
   end Get_zoom;

   function Get_filter
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_filter);
   end Get_filter;

   function Get_textAlignLast
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_textAlignLast);
   end Get_textAlignLast;

   function Get_textKashidaSpace
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_textKashidaSpace);
   end Get_textKashidaSpace;

   function Get_isBlock
     (This : IHTMLCurrentStyle2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle2_Get_isBlock);
   end Get_isBlock;

end MSHTML.IHTMLCurrentStyle2_Object;

